Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.odftoolkit.odfdom.dom.element.anim
Class OdfIterateElement

    java.lang.Object
      org.apache.xerces.dom.NodeImpl
          org.apache.xerces.dom.ChildNode
              org.apache.xerces.dom.ParentNode
                  org.apache.xerces.dom.ElementImpl
                      org.apache.xerces.dom.ElementNSImpl
                          org.odftoolkit.odfdom.dom.element.OdfElement
                              org.odftoolkit.odfdom.dom.element.anim.OdfIterateElement

All Implemented Interfaces:
  Serializable, Cloneable, Element, EventTarget, Node, NodeList, TypeInfo

Direct Known Subclasses:
  OdfIterate

    public abstract class OdfIterateElement

extends OdfElement

DOM implementation of OpenDocument element anim:iterate.

See Also:
  Serialized Form

Field Summary
`static OdfName` | `ELEMENT_NAME`

Fields inherited from class org.odftoolkit.odfdom.dom.element.OdfElement
`mOdfDocument`

Fields inherited from class org.apache.xerces.dom.ElementNSImpl
`localName, namespaceURI`

Fields inherited from class org.apache.xerces.dom.ElementImpl
`attributes, name`

Fields inherited from class org.apache.xerces.dom.ParentNode
`firstChild, fNodeListCache, ownerDocument`

Fields inherited from class org.apache.xerces.dom.ChildNode
`nextSibling, previousSibling`

Fields inherited from class org.apache.xerces.dom.NodeImpl
`DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_IS_CONTAINED, DOCUMENT_POSITION_PRECEDING, ELEMENT_DEFINITION_NODE, FIRSTCHILD, flags, HASSTRING, ID, IGNORABLEWS, NORMALIZED, OWNED, ownerNode, READONLY, SPECIFIED, SYNCCHILDREN, SYNCDATA, TREE_POSITION_ANCESTOR, TREE_POSITION_DESCENDANT, TREE_POSITION_DISCONNECTED, TREE_POSITION_EQUIVALENT, TREE_POSITION_FOLLOWING, TREE_POSITION_PRECEDING, TREE_POSITION_SAME_NODE`

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Fields inherited from interface org.w3c.dom.TypeInfo
`DERIVATION_EXTENSION, DERIVATION_LIST, DERIVATION_RESTRICTION, DERIVATION_UNION`

Constructor Summary
`OdfIterateElement(OdfFileDom aOwnerDoc)` Create the instance of OdfIterateElement

Method Summary
`OdfAnimateColorElement` | `createAnimateColorElement(String attributeName)` Create child element anim:animateColor.
`OdfAnimateElement` | `createAnimateElement(String attributeName)` Create child element anim:animate.
`OdfAnimateMotionElement` | `createAnimateMotionElement(String attributeName)` Create child element anim:animateMotion.
`OdfAnimateTransformElement` | `createAnimateTransformElement(String attributeName, OdfType type)` Create child element anim:animateTransform.
`OdfAudioElement` | `createAudioElement()` Create child element anim:audio.
`OdfCommandElement` | `createCommandElement(String command)` Create child element anim:command.
`OdfIterateElement` | `createIterateElement()` Create child element anim:iterate.
`OdfParElement` | `createParElement()` Create child element anim:par.
`OdfSeqElement` | `createSeqElement()` Create child element anim:seq.
`OdfSetElement` | `createSetElement(String attributeName)` Create child element anim:set.
`OdfTransitionFilterElement` | `createTransitionFilterElement(String type)` Create child element anim:transitionFilter.
`Double` | `getAccelerate()` Get value of attribute smil:accelerate.
`OdfBoolean` | `getAutoReverse()` Get value of attribute smil:autoReverse.
`String` | `getBegin()` Get value of attribute smil:begin.
`Double` | `getDecelerate()` Get value of attribute smil:decelerate.
`String` | `getDur()` Get value of attribute smil:dur.
`String` | `getEnd()` Get value of attribute smil:end.
`OdfEndsyncType` | `getEndsync()` Get value of attribute smil:endsync.
`OdfFillType` | `getFill()` Get value of attribute smil:fill.
`OdfFillDefaultType` | `getFillDefault()` Get value of attribute smil:fillDefault.
`String` | `getGroupId()` Get value of attribute presentation:group-id.
`String` | `getId()` Get value of attribute anim:id.
`OdfDuration` | `getIterateInterval()` Get value of attribute anim:iterate-interval.
`String` | `getIterateType()` Get value of attribute anim:iterate-type.
`OdfId` | `getMasterElement()` Get value of attribute presentation:master-element.
`OdfName` | `getOdfName()` Get the element name
`OdfNodeType` | `getPresentationNode()` Get value of attribute presentation:node-type.
`OdfPresetClassType` | `getPresetClass()` Get value of attribute presentation:preset-class.
`String` | `getPresetId()` Get value of attribute presentation:preset-id.
`String` | `getPresetSubType()` Get value of attribute presentation:preset-sub-type.
`OdfNonNegativeInteger` | `getRepeatCount()` Get value of attribute smil:repeatCount.
`String` | `getRepeatDur()` Get value of attribute smil:repeatDur.
`OdfRestartType` | `getRestart()` Get value of attribute smil:restart.
`OdfRestartDefaultType` | `getRestartDefault()` Get value of attribute smil:restartDefault.
`String` | `getSubItem()` Get value of attribute anim:sub-item.
`OdfId` | `getTargetElement()` Get value of attribute smil:targetElement.
`OdfId` | `getXmlid()` Get value of attribute xml:id.
`void` | `setAccelerate(Double accelerate)` Set value of attribute smil:accelerate.
`void` | `setAutoReverse(OdfBoolean isAutoReverse)` Set value of attribute smil:autoReverse.
`void` | `setBegin(String begin)` Set value of attribute smil:begin.
`void` | `setDecelerate(Double decelerate)` Set value of attribute smil:decelerate.
`void` | `setDur(String dur)` Set value of attribute smil:dur.
`void` | `setEnd(String end)` Set value of attribute smil:end.
`void` | `setEndsync(OdfEndsyncType endsync)` Set value of attribute smil:endsync.
`void` | `setFill(OdfFillType fill)` Set value of attribute smil:fill.
`void` | `setFillDefault(OdfFillDefaultType fillDefault)` Set value of attribute smil:fillDefault.
`void` | `setGroupId(String groupId)` Set value of attribute presentation:group-id.
`void` | `setId(String id)` Set value of attribute anim:id.
`void` | `setIterateInterval(OdfDuration iterateInterval)` Set value of attribute anim:iterate-interval.
`void` | `setIterateType(String iterateType)` Set value of attribute anim:iterate-type.
`void` | `setMasterElement(OdfId masterElement)` Set value of attribute presentation:master-element.
`void` | `setPresentationNode(OdfNodeType presentationNode)` Set value of attribute presentation:node-type.
`void` | `setPresetClass(OdfPresetClassType presetClass)` Set value of attribute presentation:preset-class.
`void` | `setPresetId(String presetId)` Set value of attribute presentation:preset-id.
`void` | `setPresetSubType(String presetSubType)` Set value of attribute presentation:preset-sub-type.
`void` | `setRepeatCount(OdfNonNegativeInteger repeatCount)` Set value of attribute smil:repeatCount.
`void` | `setRepeatDur(String repeatDur)` Set value of attribute smil:repeatDur.
`void` | `setRestart(OdfRestartType restart)` Set value of attribute smil:restart.
`void` | `setRestartDefault(OdfRestartDefaultType restartDefault)` Set value of attribute smil:restartDefault.
`void` | `setSubItem(String subItem)` Set value of attribute anim:sub-item.
`void` | `setTargetElement(OdfId targetElement)` Set value of attribute smil:targetElement.
`void` | `setXmlid(OdfId xmlid)` Set value of attribute xml:id.

Methods inherited from class org.odftoolkit.odfdom.dom.element.OdfElement
`cloneNode, equals, findFirstChildNode, findNextChildNode, findPreviousChildNode, getAncestorAs, getOdfAttribute, getParentAs, hasOdfAttribute, insertBefore, onInsertNode, onInsertNode, onRemoveNode, onRemoveNode, removeChild, replaceChild, setOdfAttribute, toString`

Methods inherited from class org.apache.xerces.dom.ElementNSImpl
`getBaseURI, getLocalName, getNamespaceURI, getPrefix, getTypeName, getTypeNamespace, isDerivedFrom, setPrefix, setType, setValues`

Methods inherited from class org.apache.xerces.dom.ElementImpl
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getAttributes, getDefaultAttributes, getElementsByTagName, getElementsByTagNameNS, getNodeName, getNodeType, getSchemaTypeInfo, getTagName, getXercesAttribute, hasAttribute, hasAttributeNS, hasAttributes, isEqualNode, normalize, reconcileDefaultAttributes, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setIdAttribute, setIdAttributeNode, setIdAttributeNS, setOwnerDocument, setReadOnly, setupDefaultAttributes, setXercesAttributeNode, synchronizeData`

Methods inherited from class org.apache.xerces.dom.ParentNode
`getChildNodes, getChildNodesUnoptimized, getFirstChild, getLastChild, getLength, getOwnerDocument, getTextContent, hasChildNodes, item, setTextContent, synchronizeChildren`

Methods inherited from class org.apache.xerces.dom.ChildNode
`getNextSibling, getParentNode, getPreviousSibling`

Methods inherited from class org.apache.xerces.dom.NodeImpl
`addEventListener, appendChild, changed, changes, compareDocumentPosition, compareTreePosition, dispatchEvent, getContainer, getFeature, getNodeNumber, getNodeValue, getReadOnly, getUserData, getUserData, getUserDataRecord, isDefaultNamespace, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, needsSyncChildren, removeEventListener, setNodeValue, setUserData, setUserData`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.w3c.dom.Node
`appendChild, compareDocumentPosition, getChildNodes, getFeature, getFirstChild, getLastChild, getNextSibling, getNodeValue, getOwnerDocument, getParentNode, getPreviousSibling, getTextContent, getUserData, hasChildNodes, isDefaultNamespace, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, setNodeValue, setTextContent, setUserData`

Field Detail

### ELEMENT_NAME

    public static final OdfName ELEMENT_NAME

Constructor Detail

### OdfIterateElement

    public OdfIterateElement(OdfFileDom aOwnerDoc)

  Create the instance of OdfIterateElement

  Parameters:
    `aOwnerDoc` - The type is OdfFileDom

Method Detail

### getOdfName

    public OdfName getOdfName()

  Get the element name

  Specified by:
    `getOdfName` in class `OdfElement`
  Returns:
    return the name of element anim:iterate.

### getPresentationNode

    public OdfNodeType getPresentationNode()

  Get value of attribute presentation:node-type.

  Returns:
    return the attribute which type is OdfNodeType

### setPresentationNode

    public void setPresentationNode(OdfNodeType presentationNode)

  Set value of attribute presentation:node-type.

  Parameters:
    `presentationNode` - the attribute's type is OdfNodeType

### getPresetId

    public String getPresetId()

  Get value of attribute presentation:preset-id.

  Returns:
    return the attribute which type is String

### setPresetId

    public void setPresetId(String presetId)

  Set value of attribute presentation:preset-id.

  Parameters:
    `presetId` - the attribute's type is String

### getPresetSubType

    public String getPresetSubType()

  Get value of attribute presentation:preset-sub-type.

  Returns:
    return the attribute which type is String

### setPresetSubType

    public void setPresetSubType(String presetSubType)

  Set value of attribute presentation:preset-sub-type.

  Parameters:
    `presetSubType` - the attribute's type is String

### getPresetClass

    public OdfPresetClassType getPresetClass()

  Get value of attribute presentation:preset-class.

  Returns:
    return the attribute which type is OdfPresetClassType

### setPresetClass

    public void setPresetClass(OdfPresetClassType presetClass)

  Set value of attribute presentation:preset-class.

  Parameters:
    `presetClass` - the attribute's type is OdfPresetClassType

### getMasterElement

    public OdfId getMasterElement()

  Get value of attribute presentation:master-element.

  Returns:
    return the attribute which type is OdfId

### setMasterElement

    public void setMasterElement(OdfId masterElement)

  Set value of attribute presentation:master-element.

  Parameters:
    `masterElement` - the attribute's type is OdfId

### getGroupId

    public String getGroupId()

  Get value of attribute presentation:group-id.

  Returns:
    return the attribute which type is String

### setGroupId

    public void setGroupId(String groupId)

  Set value of attribute presentation:group-id.

  Parameters:
    `groupId` - the attribute's type is String

### getId

    public String getId()

  Get value of attribute anim:id.

  Returns:
    return the attribute which type is String

### setId

    public void setId(String id)

  Set value of attribute anim:id.

  Parameters:
    `id` - the attribute's type is String

### getXmlid

    public OdfId getXmlid()

  Get value of attribute xml:id.

  Returns:
    return the attribute which type is OdfId

### setXmlid

    public void setXmlid(OdfId xmlid)

  Set value of attribute xml:id.

  Parameters:
    `xmlid` - the attribute's type is OdfId

### getTargetElement

    public OdfId getTargetElement()

  Get value of attribute smil:targetElement.

  Returns:
    return the attribute which type is OdfId

### setTargetElement

    public void setTargetElement(OdfId targetElement)

  Set value of attribute smil:targetElement.

  Parameters:
    `targetElement` - the attribute's type is OdfId

### getSubItem

    public String getSubItem()

  Get value of attribute anim:sub-item.

  Returns:
    return the attribute which type is String

### setSubItem

    public void setSubItem(String subItem)

  Set value of attribute anim:sub-item.

  Parameters:
    `subItem` - the attribute's type is String

### getIterateType

    public String getIterateType()

  Get value of attribute anim:iterate-type.

  Returns:
    return the attribute which type is String

### setIterateType

    public void setIterateType(String iterateType)

  Set value of attribute anim:iterate-type.

  Parameters:
    `iterateType` - the attribute's type is String

### getIterateInterval

    public OdfDuration getIterateInterval()

  Get value of attribute anim:iterate-interval.

  Returns:
    return the attribute which type is OdfDuration

### setIterateInterval

    public void setIterateInterval(OdfDuration iterateInterval)

  Set value of attribute anim:iterate-interval.

  Parameters:
    `iterateInterval` - the attribute's type is OdfDuration

### getBegin

    public String getBegin()

  Get value of attribute smil:begin.

  Returns:
    return the attribute which type is String

### setBegin

    public void setBegin(String begin)

  Set value of attribute smil:begin.

  Parameters:
    `begin` - the attribute's type is String

### getEnd

    public String getEnd()

  Get value of attribute smil:end.

  Returns:
    return the attribute which type is String

### setEnd

    public void setEnd(String end)

  Set value of attribute smil:end.

  Parameters:
    `end` - the attribute's type is String

### getDur

    public String getDur()

  Get value of attribute smil:dur.

  Returns:
    return the attribute which type is String

### setDur

    public void setDur(String dur)

  Set value of attribute smil:dur.

  Parameters:
    `dur` - the attribute's type is String

### getRepeatDur

    public String getRepeatDur()

  Get value of attribute smil:repeatDur.

  Returns:
    return the attribute which type is String

### setRepeatDur

    public void setRepeatDur(String repeatDur)

  Set value of attribute smil:repeatDur.

  Parameters:
    `repeatDur` - the attribute's type is String

### getRepeatCount

    public OdfNonNegativeInteger getRepeatCount()

  Get value of attribute smil:repeatCount.

  Returns:
    return the attribute which type is OdfNonNegativeInteger

### setRepeatCount

    public void setRepeatCount(OdfNonNegativeInteger repeatCount)

  Set value of attribute smil:repeatCount.

  Parameters:
    `repeatCount` - the attribute's type is OdfNonNegativeInteger

### getRestart

    public OdfRestartType getRestart()

  Get value of attribute smil:restart.

  Returns:
    return the attribute which type is OdfRestartType

### setRestart

    public void setRestart(OdfRestartType restart)

  Set value of attribute smil:restart.

  Parameters:
    `restart` - the attribute's type is OdfRestartType

### getRestartDefault

    public OdfRestartDefaultType getRestartDefault()

  Get value of attribute smil:restartDefault.

  Returns:
    return the attribute which type is OdfRestartDefaultType

### setRestartDefault

    public void setRestartDefault(OdfRestartDefaultType restartDefault)

  Set value of attribute smil:restartDefault.

  Parameters:
    `restartDefault` - the attribute's type is OdfRestartDefaultType

### getFill

    public OdfFillType getFill()

  Get value of attribute smil:fill.

  Returns:
    return the attribute which type is OdfFillType

### setFill

    public void setFill(OdfFillType fill)

  Set value of attribute smil:fill.

  Parameters:
    `fill` - the attribute's type is OdfFillType

### getFillDefault

    public OdfFillDefaultType getFillDefault()

  Get value of attribute smil:fillDefault.

  Returns:
    return the attribute which type is OdfFillDefaultType

### setFillDefault

    public void setFillDefault(OdfFillDefaultType fillDefault)

  Set value of attribute smil:fillDefault.

  Parameters:
    `fillDefault` - the attribute's type is OdfFillDefaultType

### getAccelerate

    public Double getAccelerate()

  Get value of attribute smil:accelerate.

  Returns:
    return the attribute which type is Double

### setAccelerate

    public void setAccelerate(Double accelerate)

  Set value of attribute smil:accelerate.

  Parameters:
    `accelerate` - the attribute's type is Double

### getDecelerate

    public Double getDecelerate()

  Get value of attribute smil:decelerate.

  Returns:
    return the attribute which type is Double

### setDecelerate

    public void setDecelerate(Double decelerate)

  Set value of attribute smil:decelerate.

  Parameters:
    `decelerate` - the attribute's type is Double

### getAutoReverse

    public OdfBoolean getAutoReverse()

  Get value of attribute smil:autoReverse.

  Returns:
    return the attribute which type is OdfBoolean

### setAutoReverse

    public void setAutoReverse(OdfBoolean isAutoReverse)

  Set value of attribute smil:autoReverse.

  Parameters:
    `isAutoReverse` - the attribute's type is OdfBoolean

### getEndsync

    public OdfEndsyncType getEndsync()

  Get value of attribute smil:endsync.

  Returns:
    return the attribute which type is OdfEndsyncType

### setEndsync

    public void setEndsync(OdfEndsyncType endsync)

  Set value of attribute smil:endsync.

  Parameters:
    `endsync` - the attribute's type is OdfEndsyncType

### createAnimateElement

    public OdfAnimateElement createAnimateElement(String attributeName)

  Create child element anim:animate.

  Parameters:
    `attributeName` - String
  Returns:
    return the element anim:animate

### createSetElement

    public OdfSetElement createSetElement(String attributeName)

  Create child element anim:set.

  Parameters:
    `attributeName` - String
  Returns:
    return the element anim:set

### createAnimateMotionElement

    public OdfAnimateMotionElement createAnimateMotionElement(String attributeName)

  Create child element anim:animateMotion.

  Parameters:
    `attributeName` - String
  Returns:
    return the element anim:animateMotion

### createAnimateColorElement

    public OdfAnimateColorElement createAnimateColorElement(String attributeName)

  Create child element anim:animateColor.

  Parameters:
    `attributeName` - String
  Returns:
    return the element anim:animateColor

### createAnimateTransformElement

    public OdfAnimateTransformElement createAnimateTransformElement(String attributeName,
                                                                    OdfType type)

  Create child element anim:animateTransform.

  Parameters:
    `attributeName` - String
    `type` - the attribute's type is OdfType, see svg:type at specification
  Returns:
    return the element anim:animateTransform

### createTransitionFilterElement

    public OdfTransitionFilterElement createTransitionFilterElement(String type)

  Create child element anim:transitionFilter.

  Parameters:
    `type` - String
  Returns:
    return the element anim:transitionFilter

### createParElement

    public OdfParElement createParElement()

  Create child element anim:par.

  Returns:
    return the element anim:par

### createSeqElement

    public OdfSeqElement createSeqElement()

  Create child element anim:seq.

  Returns:
    return the element anim:seq

### createIterateElement

    public OdfIterateElement createIterateElement()

  Create child element anim:iterate.

  Returns:
    return the element anim:iterate

### createAudioElement

    public OdfAudioElement createAudioElement()

  Create child element anim:audio.

  Returns:
    return the element anim:audio

### createCommandElement

    public OdfCommandElement createCommandElement(String command)

  Create child element anim:command.

  Parameters:
    `command` - String
  Returns:
    return the element anim:command

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009. All Rights Reserved.